import React, { ReactElement, SyntheticEvent } from 'react';
interface Props<T> {
    items: T[];
    style?: React.CSSProperties;
    label: string;
    filterKey: string;
    showAddItem?: boolean;
    onAddItemClick?: (e: SyntheticEvent<HTMLButtonElement, MouseEvent>) => void;
    renderItem?: (item: T, index?: number) => ReactElement;
    showDropdown?: boolean;
    isMulti?: boolean;
    defaultValues?: T[];
    onValuesChange?: (items: T[]) => void;
}
export default function ESelect<T>({ items, filterKey, label, renderItem, showAddItem, onAddItemClick, onValuesChange, isMulti, defaultValues, showDropdown, style }: Props<T>): ReactElement;
export {};
